2 Replies Latest reply: Mar 29, 2012 7:27 AM by Limnos
mckaylamiki2319 Level 1 Level 1

I have a POWERBOOK G4 and its updated to a tiger software, and every now and then i can get my mac to pull up youtube, but it varies when ill get it to pull it up and now its starting to say i need a flash player... but when i go to download the flash player it says its out of date. so my question is, is there a way to get it to work? or do i need to just face that fact and get a leopard software update?


PowerBook, Mac OS X (10.4.11)
  • BDAqua Level 10 Level 10

    There are no more Flash Updates for PPC Macs, not even with 10.5.8, ignore the update Flash things.

     

    The last really supported Flash for PPC was 10.1.102.64, but if it's for like Facebook or such, people have been fooling FB to think they have a later version installed.

    Texas Mac Man's Flash hack/post...

     

    https://discussions.apple.com/thread/3599648?tstart=0

  • Limnos Level 9 Level 9

    It's odd but I do not run the hack posted and I do only run the latest Flash for PPCs and I have no problems with YouTube. Maybe it's specific to particular videos.

     

    Oh, I don't think Leopard would solve it in your case anyway.  The latest Flash requires an Intel processor which means replacing your whole computer.

     

    Note that the hack posted does not actually install the latest Flash, it just gets around those "We know best" web sites that think you need the latest to run their stuff but don't really.  When you use it and their software asks your computer, "Are you runnning the latest?" your computer lies and tells them it is.  In many cases you don't really need the latest even though they think you do. If they actually truly need the latest then you can still have problems.